package com.nokia.vo;

import java.util.ArrayList;
import java.util.List;

import com.nokia.pojo.User;

import lombok.Data;

/**
 * 黑点库用户信息
 */
@Data
public class HeidiankuUserVo {
    private String loginName;
    private String userName;
    private String province;
    private String city;
    private List<String> roles;

    public HeidiankuUserVo(User userEntity) {
        this.loginName = userEntity.getLoginName();
        this.userName = userEntity.getUserName();
        this.province = userEntity.getCity().getProvince();
        this.city = userEntity.getCity().getCityNameZh();
        List<String> roles = new ArrayList<>();
        userEntity.getRoles().forEach(role -> {
            if ("heidianku".equals(role.getSystem())) {
                roles.add(role.getRoleName());
            }
        });
        this.roles = roles;
    }
}
